ion-checkbox {
  --border-radius: 10px
}

ion-content {
  --padding-top: 70px
}

ion-select {
  color: #545ca7;
  --placeholder-color: #971e49;
  --placeholder-opacity: 1;
}

a{
  color: #ffffff;
  text-decoration: none;
  transition: 0.4s;
}

a:hover{
  color: #4a5aec;
}

.product-wrapper {
    background: #1F1F1F;
    border-radius: 9px;
    overflow: hidden;
    margin: .5rem;
    display: flex;
    height: 16vh;
    width: calc(100% - 1rem);
    div:first-child {
      width: 16vh;
      height: 16vh;
      border-radius: 9px;
      overflow: hidden;
    }
    div:last-child {
      padding: .5rem;
      width: calc(100% - 16vh);
      position: relative;
      ruby {
        position: absolute;
        bottom: .5rem;
        display: block;
        font-size: 2rem;
        font-weight: bold;
        text-align: left;
        rt {
          text-align: left;
          opacity: .5;
          font-weight: 400;
        }
      }
    }
  }

.invisible {
  display: none;
}

.loading {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  overflow: hidden;
  z-index: 9999;
  backdrop-filter: blur(4px);
  color: --ion-text-color;
  overflow: hidden;
}

.loading > svg {
  filter: var(--union-filter-invert);
  position: absolute;
  left: calc(50% - 32px);
  top: calc(50% - 32px);
  width: 64px;
  height: 64px;
  animation-name: example;
  animation-duration: .5s;
  animation-iteration-count: infinite;
  animation-timing-function: step-end;
}

@keyframes example {
  0% {transform: rotate(0deg);}
  12.5% {transform: rotate(45deg)}
  25% {transform: rotate(90deg)}
  37.5% {transform: rotate(135deg)}
  50% {transform: rotate(180deg)}
  62.5% {transform: rotate(225deg)}
  75% {transform: rotate(270deg)}
  87.5% {transform: rotate(315deg)}
  100% {transform: rotate(360deg)}
}
